Index: x/wm/xfce.xml
===================================================================
--- x/wm/xfce.xml	(revision 3f5f915780d39e2fc1b6454cb00b49da31aa4988)
+++ x/wm/xfce.xml	(revision 2130862979165215be71b413f5bcdb5dde92195d)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY xfce-download-http "http://www.us.xfce.org/archive/xfce-&xfce-version;/fat_tarballs/xfce-&xfce-version;-src.tar.bz2">
+  <!ENTITY xfce-download-http "http://prdownloads.sourceforge.net/xfce/xfce-4.2.3.2-src.tar.bz2?download">
   <!ENTITY xfce-download-ftp  " ">
-  <!ENTITY xfce-md5sum        "9c65e81b6a7b361af30ae64f3881f2c3">
-  <!ENTITY xfce-size          "23 MB">
-  <!ENTITY xfce-buildsize     "95 MB (each build directory deleted after completion)">
-  <!ENTITY xfce-time          "3.6 SBU">
+  <!ENTITY xfce-md5sum        "44e126e47657969657ff86fb558d54ea">
+  <!ENTITY xfce-size          "25 MB">
+  <!ENTITY xfce-buildsize     "219 MB (to build and install everything without deleting the source)">
+  <!ENTITY xfce-time          "3.5 SBU">
 ]>
 
@@ -66,8 +66,9 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libgtkhtml"/>,
-    <xref linkend="startup-notification"/>,
-    <xref linkend="a2ps"/> and
-    <xref linkend="psutils"/></para>
+    <para role="optional"><xref linkend="gdm"/>, <xref linkend="librsvg"/>,
+    (<application>xffm</application> links to <application>librsvg</application>
+    automatically if it is installed at compile time) <xref linkend="libgtkhtml"/>,
+    <xref linkend="startup-notification"/> and <xref linkend="a2ps"/> (required to build
+    <application>xfprint</application>)</para>
 
   </sect2>
@@ -76,93 +77,136 @@
     <title>Installation of XFce</title>
 
-    <para><application>XFce</application> now distributes as a TAR ball
-    of base packages and module packages. For each package, run the
-    following:</para>
+    <para>The following packages will install the bare
+    minimum:</para>
+
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>libxfce4util-&xfce-version;.2</para>
+      </listitem>
+      <listitem>
+        <para>dbh-1.0.24</para>
+      </listitem>
+      <listitem>
+        <para>libxfcegui4-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>libxfce4mcs-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce-mcs-manager-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfwm4-&xfce-version;.2</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-panel-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfdesktop-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce-utils-&xfce-version;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para>Install <application>libxfce4util</application>, <application>dbh</application>,
+    <application>libxfcegui4</application>, <application>libxfce4mcs</application>,
+    <application>xfce-mcs-manager</application>; and <application>xfwm4</application>
+    like this:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para><application>xfce4-panel</application>, <application>xfdesktop</application>
+    and <application>xfce-utils</application> also need to install config files in
+    /etc/xdg. Configure them like this:</para>
 
 <screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
+    <para>If you use <xref linkend="gdm"/> as your display manager and would like to
+    be able to log into an xfce session from the login prompt, pass the
+    <parameter>--enable-gdm</parameter> option to the xfce-utils-&xfce-version; configure
+    script (requires <command>which</command> to be installed at run time).</para>
+
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
 
-    <para>The following packages will install the bare minimum:</para>
+    <para>In addition, you may choose to install:</para>
 
     <itemizedlist spacing='compact'>
       <listitem>
-        <para>libxfce4util-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>dbh-1.0.24</para>
-      </listitem>
-      <listitem>
-        <para>libxfcegui4-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>libxfce4mcs-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce-mcs-manager-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfwm4-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-panel-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfdesktop-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce-utils-&xfce-version;</para>
+        <para>gtk-xfce-engine-2.2.8</para>
+      </listitem>
+      <listitem>
+        <para>xfcalendar-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce-mcs-plugins-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-appfinder-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-icon-theme-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-iconbox-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-mixer-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-session-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-systray-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-toys-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfce4-trigger-launcher-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xffm-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfprint-&xfce-version;</para>
+      </listitem>
+      <listitem>
+        <para>xfwm4-themes-&xfce-version;</para>
       </listitem>
     </itemizedlist>
 
-    <para>In addition, you may choose to install:</para>
-
-    <itemizedlist spacing='compact'>
-      <listitem>
-        <para>gtk-xfce-engine-2.2.7</para>
-      </listitem>
-      <listitem>
-        <para>xfcalendar-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce-mcs-plugins-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-appfinder-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-icon-theme-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-iconbox-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-mixer-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-session-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-systray-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-toys-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfce4-trigger-launcher-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xffm-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfprint-&xfce-version;</para>
-      </listitem>
-      <listitem>
-        <para>xfwm4-themes-&xfce-version;</para>
-      </listitem>
-    </itemizedlist>
+    <para>Almost all of these compile with these commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>And then as <systemitem class="username">root</systemitem>:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>The exceptions are <application>xfce4-session</application> which needs to be
+    configured like this</para>
+
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce &amp;&amp;
+make</userinput></screen>
+
+    <para>Also, <application>xfprint</application> can be configured with
+    <parameter>--enable-cups</parameter>, if you have <xref linkend="cups"/> installed.
+    </para>
+
+    <para>As <systemitem class="username">root</systemitem>, move the help documentation
+    to the standard BLFS location and fix the help script to look for it there:</para>
+
+<screen role="root"><userinput>mv -f /usr/share/xfce4/doc /usr/share/doc/xfce &amp;&amp;
+sed -i 's@xfce4/doc@doc/xfce@' /usr/bin/xfhelp4</userinput></screen>
 
   </sect2>
@@ -261,4 +305,15 @@
       </varlistentry>
 
+      <varlistentry id="startxfce4">
+        <term><command>startxfce4</command></term>
+        <listitem>
+          <para>is a script which starts up the <application>XFce</application> Desktop
+          Environment.</para>
+          <indexterm zone="xfce startxfce">
+            <primary sortas="b-startxfce">startxfce</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="xfce-mcs-manager">
         <term><command>xfce-mcs-manager</command></term>
@@ -285,18 +340,8 @@
         <term><command>xfce4-session</command></term>
         <listitem>
-          <para>starts up the <application>XFce</application> Desktop
-          Environment.</para>
+          <para>saves the state of your desktop and restores it when you next start
+          <application>XFce</application>.</para>
           <indexterm zone="xfce xfce4-session">
             <primary sortas="b-xfce4-session">xfce4-session</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xfce4-session-logout">
-        <term><command>xfce4-session-logout</command></term>
-        <listitem>
-          <para>logs out from <application>XFce</application>.</para>
-          <indexterm zone="xfce xfce4-session-logout">
-            <primary sortas="b-xfce4-session-logout">xfce4-session-logout</primary>
           </indexterm>
         </listitem>
@@ -341,5 +386,6 @@
         <listitem>
           <para>is script that launches a HTML browser to
-          display online documentation.</para>
+          display online documentation. It requires <command>which</command> to
+          run.</para>
           <indexterm zone="xfce xfhelp4">
             <primary sortas="b-xfhelp4">xfhelp4</primary>
@@ -408,5 +454,6 @@
         <listitem>
           <para>is a small terminal wrapper to be used as a drag and drop
-          action for the <application>XFce</application> front panel.</para>
+          action for the <application>XFce</application> front panel. It requires
+          <command>which</command> to run.</para>
           <indexterm zone="xfce xfterm4">
             <primary sortas="b-xfterm4">xfterm4</primary>
@@ -418,6 +465,6 @@
         <term><command>xftrash4</command></term>
         <listitem>
-          <para>is a small script to be used as a drag and drop action
-          for the <application>XFce</application> front panel.</para>
+          <para>is a small binary to be used as a drag and drop action for the
+          <application>XFce</application> front panel.</para>
           <indexterm zone="xfce xftrash4">
             <primary sortas="b-xftrash4">xftrash4</primary>
@@ -426,11 +473,10 @@
       </varlistentry>
 
-      <varlistentry id="xftree4">
-        <term><command>xftree4</command></term>
-        <listitem>
-          <para>is the file manager for
-          <application>XFce</application>.</para>
-          <indexterm zone="xfce xftree4">
-            <primary sortas="b-xftree4">xftree4</primary>
+      <varlistentry id="xffm">
+        <term><command>xffm</command></term>
+        <listitem>
+          <para>is the file manager for <application>XFce</application>.</para>
+          <indexterm zone="xfce xffm">
+            <primary sortas="b-xftree4">xffm</primary>
           </indexterm>
         </listitem>
@@ -440,6 +486,6 @@
         <term><command>xfwm4</command></term>
         <listitem>
-          <para>is an <application>X11</application> window manager
-          for <application>XFce</application>.</para>
+          <para>is an <application>X11</application> window manager for
+          <application>XFce</application>.</para>
           <indexterm zone="xfce xfwm4">
             <primary sortas="b-xfwm4">xfwm4</primary>