Index: gnome/platform/accountsservice.xml
===================================================================
--- gnome/platform/accountsservice.xml	(revision 23213487156def2d55beeda9b8183d7450cedfb1)
+++ gnome/platform/accountsservice.xml	(revision 23213487156def2d55beeda9b8183d7450cedfb1)
@@ -0,0 +1,206 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY accountsservice-download-http
+           "http://www.freedesktop.org/software/accountsservice/accountsservice-&accountsservice-version;.tar.xz">
+  <!ENTITY accountsservice-download-ftp  " ">
+  <!ENTITY accountsservice-md5sum        "aa5f4da715b8ec19024e39def88831a0">
+  <!ENTITY accountsservice-size          "356 KB">
+  <!ENTITY accountsservice-buildsize     "12 MB">
+  <!ENTITY accountsservice-time          "0.1 SBU">
+]>
+
+<sect1 id="accountsservice" xreflabel="AccountsService-&accountsservice-version;">
+  <?dbhtml filename="accountsservice.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>AccountsService-&accountsservice-version;</title>
+
+  <indexterm zone="accountsservice">
+    <primary sortas="a-AccountsService">AccountsService</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to AccountsService</title>
+
+    <para>
+      The <application>AccountsService</application> package provides a set
+      of <application>D-Bus</application> interfaces for querying and manipulating
+      user account information and an implementation of these interfaces based on
+      the usermod(8), useradd(8) and userdel(8) commands.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&accountsservice-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&accountsservice-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &accountsservice-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &accountsservice-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &accountsservice-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &accountsservice-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">AccountsService Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="polkit"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/> and
+      <xref linkend="xmlto"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/accountsservice"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of AccountsService</title>
+
+    <para>
+      Install <application>AccountsService</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr            \
+            --sysconfdir=/etc        \
+            --with-systemdsystemunitdir=/lib/systemd/system     \
+            --enable-admin-group=adm \
+            --disable-static         \
+            --enable-systemd         \
+            --libexecdir=/usr/lib/accountsservice &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <parameter>--enable-admin-group=adm</parameter>: This switch sets
+      group for administrator accounts.
+    </para>
+
+    <para>
+      <parameter>--enable-systemd</parameter>: This switch enables
+       systemd to be used.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          accounts-daemon
+        </seg>
+        <seg>
+          libaccountsservice.so
+        </seg>
+        <seg>
+          /usr/include/accountsservice-1.0,
+          /usr/lib/accountsservice,
+          /usr/share/gtk-doc/html/libaccountsservice, and
+          /var/lib/AccountsService
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="accounts-daemon">
+        <term><command>accounts-daemon</command></term>
+        <listitem>
+          <para>
+            is the <application>AccountsService</application> daemon.
+          </para>
+          <indexterm zone="accountsservice accounts-daemon">
+            <primary sortas="b-accounts-daemon">accounts-daemon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libaccountsservice">
+        <term><filename class="libraryfile">libaccountsservice.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>AccountsService</application> API functions.
+          </para>
+          <indexterm zone="accountsservice libaccountsservice">
+            <primary sortas="c-libaccountsservice">libaccountsservice.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>