Index: general/prog/mako.xml
===================================================================
--- general/prog/mako.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ general/prog/mako.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -7,5 +7,5 @@
   <!ENTITY Mako-download-http "&pymodules-dl;/M/Mako/Mako-&mako-version;.tar.gz">
   <!ENTITY Mako-download-ftp  " ">
-  <!ENTITY Mako-md5sum        "d739720f3f0d6a1cb6a96ea7a4760c3e">
+  <!ENTITY Mako-md5sum        "a94d376078dda65f834ea5049a81ebb5">
   <!ENTITY Mako-size          "452 KB">
   <!ENTITY Mako-buildsize     "3.0 MB">
Index: general/prog/perl-modules/perl-text-csv.xml
===================================================================
--- general/prog/perl-modules/perl-text-csv.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ general/prog/perl-modules/perl-text-csv.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/I/IS/ISHIGAKI/Text-CSV-&Text-CSV-version;.tar.gz">
-  <!ENTITY my-md5sum "f2d01a8a9d217dcc9dbe17be195898e3">
+  <!ENTITY my-md5sum "435951d381e814b5ce51f570a6a1dc24">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ introduction/welcome/changelog.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -42,4 +42,26 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>May 10th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to alsa-{lib,plugins,utils}-1.1.9. Fixes
+          <ulink url="&blfs-ticket-root;12049">#12049</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nss-3.44. Fixes
+          <ulink url="&blfs-ticket-root;12046">#12046</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Mako-1.0.10 (Python module). Fixes
+          <ulink url="&blfs-ticket-root;12047">#12047</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Text-CSV-2.00 (Perl module). Fixes
+          <ulink url="&blfs-ticket-root;12048">#12048</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ multimedia/libdriv/alsa-lib.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-lib-download-http " ">
   <!ENTITY alsa-lib-download-ftp  "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-  <!ENTITY alsa-lib-md5sum        "0eec0d657a07927795809c8f87fb76ca">
-  <!ENTITY alsa-lib-size          "980 KB">
-  <!ENTITY alsa-lib-buildsize     "31 MB (with tests)">
+  <!ENTITY alsa-lib-md5sum        "e6d429dbdcfaa0f034d907fa6dc3735e">
+  <!ENTITY alsa-lib-size          "1.0 MB">
+  <!ENTITY alsa-lib-buildsize     "32 MB (with tests)">
   <!ENTITY alsa-lib-time          "0.3 SBU (with tests)">
 ]>
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-plugins-download-http " ">
   <!ENTITY alsa-plugins-download-ftp  "&alsa-download-ftp;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
-  <!ENTITY alsa-plugins-md5sum        "d0f87211d1560f2c07c8eae4297bc4f6">
-  <!ENTITY alsa-plugins-size          "368 KB">
-  <!ENTITY alsa-plugins-buildsize     "4.9 MB">
+  <!ENTITY alsa-plugins-md5sum        "e0caffbd849c51ed81751378f56cb563">
+  <!ENTITY alsa-plugins-size          "400 KB">
+  <!ENTITY alsa-plugins-buildsize     "5.1 MB">
   <!ENTITY alsa-plugins-time          "less than 0.1 SBU">
 ]>
@@ -101,5 +101,5 @@
     </para>
 
-<screen><userinput>./configure &amp;&amp;
+<screen><userinput>./configure --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ multimedia/libdriv/alsa-utils.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-utils-download-http " ">
   <!ENTITY alsa-utils-download-ftp  "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-  <!ENTITY alsa-utils-md5sum        "54d6f9b483144823d0fc0c26e8cea028">
+  <!ENTITY alsa-utils-md5sum        "5ed21c3e296c06046cc986e732f625f6">
   <!ENTITY alsa-utils-size          "1.2 MB">
-  <!ENTITY alsa-utils-buildsize     "11 MB">
+  <!ENTITY alsa-utils-buildsize     "12 MB">
   <!ENTITY alsa-utils-time          "0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ packages.ent	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -30,5 +30,5 @@
 <!ENTITY nettle-version               "3.4.1">
 
-<!ENTITY nss-minor-version            "43">
+<!ENTITY nss-minor-version            "44">
 <!ENTITY nss-micro-version            "0">
 <!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
@@ -403,5 +403,5 @@
 <!ENTITY Test-Differences-version     "0.67">
 <!ENTITY Text-BibTeX-version          "0.88">
-<!ENTITY Text-CSV-version             "1.99">
+<!ENTITY Text-CSV-version             "2.00">
 <!ENTITY Text-Roman-version           "3.5">
 <!ENTITY Unicode-Collate-version      "1.27">
@@ -522,5 +522,5 @@
 <!-- libxml2 for Python2 shares the version of libxml2 -->
 <!ENTITY lxml-version                 "4.3.3">
-<!ENTITY mako-version                 "1.0.9">
+<!ENTITY mako-version                 "1.0.10">
 <!ENTITY MarkupSafe-version           "1.1.1">
 <!ENTITY pyatspi2-version             "2.32.1">
@@ -899,8 +899,8 @@
 <!ENTITY alsa-download-http           "http://alsa.cybermirror.org">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
-<!ENTITY alsa-version                 "1.1.8">
-<!ENTITY alsa-lib-version             "1.1.8">
-<!ENTITY alsa-plugins-version         "1.1.8">
-<!ENTITY alsa-utils-version           "1.1.8">
+<!ENTITY alsa-version                 "1.1.9">
+<!ENTITY alsa-lib-version             "1.1.9">
+<!ENTITY alsa-plugins-version         "1.1.9">
+<!ENTITY alsa-utils-version           "1.1.9">
 <!ENTITY alsa-tools-version           "1.1.7">
 <!ENTITY alsa-firmware-version        "1.0.29">
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision d54c3b821b7ff91e527579f92a226937c51745db)
+++ postlfs/security/nss.xml	(revision 2895269434ae3f62770b9d43e2268e31de64aaa5)
@@ -15,8 +15,8 @@
 
   <!ENTITY nss-download-ftp " ">
-  <!ENTITY nss-md5sum        "67c8fa282c32cb56117fdd530dd77001">
+  <!ENTITY nss-md5sum        "e9222b9573452b9f4e6ff4915d6407c2">
   <!ENTITY nss-size          "22 MB">
-  <!ENTITY nss-buildsize     "137 MB">
-  <!ENTITY nss-time          "2.4 SBU">
+  <!ENTITY nss-buildsize     "139 MB">
+  <!ENTITY nss-time          "2.6 SBU">
 ]>
 