Index: postlfs/security/nettle.xml
===================================================================
--- postlfs/security/nettle.xml	(revision 5129caac7e7d24d4cc2c8b6563b145f52742645d)
+++ postlfs/security/nettle.xml	(revision 295509380e5bc64094c613999c9ff29caa03e841)
@@ -7,8 +7,8 @@
   <!ENTITY nettle-download-http "http://ftp.gnu.org/gnu/nettle/nettle-&nettle-version;.tar.gz">
   <!ENTITY nettle-download-ftp  "ftp://ftp.gnu.org/gnu/nettle/nettle-&nettle-version;.tar.gz">
-  <!ENTITY nettle-md5sum        "2caa1bd667c35db71becb93c5d89737f">
+  <!ENTITY nettle-md5sum        "003d5147911317931dd453520eb234a5">
   <!ENTITY nettle-size          "1.5 MB">
-  <!ENTITY nettle-buildsize     "100 MB">
-  <!ENTITY nettle-time          "0.5 SBU">
+  <!ENTITY nettle-buildsize     "94 MB">
+  <!ENTITY nettle-time          "0.6 SBU">
 ]>
 
@@ -101,5 +101,5 @@
 
 <screen role="root"><userinput>make install &amp;&amp;
-chmod -v 755 /usr/lib/libhogweed.so.2.4 /usr/lib/libnettle.so.4.6 &amp;&amp;
+chmod -v 755 /usr/lib/libhogweed.so.2.5 /usr/lib/libnettle.so.4.7 &amp;&amp;
 install -v -m755 -d /usr/share/doc/nettle-&nettle-version; &amp;&amp;
 install -v -m644 nettle.html /usr/share/doc/nettle-&nettle-version;</userinput></screen>
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision 5129caac7e7d24d4cc2c8b6563b145f52742645d)
+++ postlfs/security/p11-kit.xml	(revision 295509380e5bc64094c613999c9ff29caa03e841)
@@ -7,8 +7,8 @@
   <!ENTITY p11-kit-download-http "http://p11-glue.freedesktop.org/releases/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "7bb1703f38fb778054bf57477c78dc8f">
-  <!ENTITY p11-kit-size          "952 KB">
-  <!ENTITY p11-kit-buildsize     "33 MB">
-  <!ENTITY p11-kit-time          "0.2 SBU">
+  <!ENTITY p11-kit-md5sum        "9535c4e5b9c2ef5f5cd0755115ba098b">
+  <!ENTITY p11-kit-size          "976 KB">
+  <!ENTITY p11-kit-buildsize     "48 MB">
+  <!ENTITY p11-kit-time          "0.3 SBU">
 ]>
 
@@ -144,5 +144,5 @@
           /usr/lib/p11-kit,
           /usr/lib/pkcs11,
-          /usr/share/gtk-doc/html/p11-kit and
+          /usr/share/gtk-doc/html/p11-kit, and
           /usr/share/p11-kit
         </seg>
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision 5129caac7e7d24d4cc2c8b6563b145f52742645d)
+++ postlfs/security/shadow.xml	(revision 295509380e5bc64094c613999c9ff29caa03e841)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision 5129caac7e7d24d4cc2c8b6563b145f52742645d)
+++ postlfs/security/stunnel.xml	(revision 295509380e5bc64094c613999c9ff29caa03e841)
@@ -7,8 +7,8 @@
   <!ENTITY stunnel-download-http "http://mirrors.zerg.biz/stunnel/stunnel-&stunnel-version;.tar.gz">
   <!ENTITY stunnel-download-ftp  "ftp://ftp.stunnel.org/stunnel/stunnel-&stunnel-version;.tar.gz">
-  <!ENTITY stunnel-md5sum        "c2b1db99e3ed547214568959a8ed18ac">
-  <!ENTITY stunnel-size          "528 KB">
-  <!ENTITY stunnel-buildsize     "5.0 MB">
-  <!ENTITY stunnel-time          "0.1 SBU">
+  <!ENTITY stunnel-md5sum        "ac4c4a30bd7a55b6687cbd62d864054c">
+  <!ENTITY stunnel-size          "532 KB">
+  <!ENTITY stunnel-buildsize     "6.0 MB">
+  <!ENTITY stunnel-time          "0.2 SBU">
 ]>
 
@@ -39,5 +39,5 @@
     to the server package source code.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -256,5 +256,5 @@
         <seg>libstunnel.so</seg>
         <seg>/etc/stunnel, /usr/lib/stunnel,
-        /usr/share/doc/stunnel-&stunnel-version; and
+        /usr/share/doc/stunnel-&stunnel-version;, and
         /var/lib/stunnel</seg>
       </seglistitem>
Index: postlfs/security/tripwire.xml
===================================================================
--- postlfs/security/tripwire.xml	(revision 5129caac7e7d24d4cc2c8b6563b145f52742645d)
+++ postlfs/security/tripwire.xml	(revision 295509380e5bc64094c613999c9ff29caa03e841)
@@ -33,5 +33,5 @@
     used to verify the integrity of the files on a given system.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>