Index: gnome/otherlibs/libglade14/libglade14-config.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14-config.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14-config.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,7 @@
+<sect2>
+<title>Configuring libglade</title>
+
+&library-config;
+
+</sect2>
+
Index: gnome/otherlibs/libglade14/libglade14-desc.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14-desc.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14-desc.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,6 @@
+<sect2>
+<title>Contents</title>
+
+<para>The libglade package contains glade interface file loading libraries.</para>
+
+</sect2>
Index: gnome/otherlibs/libglade14/libglade14-exp.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14-exp.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14-exp.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--enable-bonobo:</userinput>
+Enable bonobo support.</para>
+
+<para><userinput>--enable-gnomedb:</userinput>
+Enable gnomedb support.</para>
+
+</sect2>
+
Index: gnome/otherlibs/libglade14/libglade14-inst.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14-inst.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14-inst.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of libglade</title>
+
+<para>Install libglade by running the following commands:</para>
+
+<para><screen><userinput>
+./configure  --prefix=/opt/gnome --enable-bonobo --enable-gnomedb &amp;&amp;
+make &amp;&amp;
+make install
+</userinput></screen></para>
+
+</sect2>
+
Index: gnome/otherlibs/libglade14/libglade14-intro.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14-intro.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14-intro.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Introduction to libglade&libglade14-version;</title>
+
+<screen>Download location (HTTP):       <ulink url="&libglade14-download-http;"/>
+Download location (FTP):        <ulink url="&libglade14-download-ftp;"/>
+Version used:                   &libglade14-version;
+Package size:                   &libglade14-size;
+Estimated Disk space required:  &libglade14-buildsize;</screen>
+
+<para>The libglade package contains libraries which allow
+applications to load glade interface files at runtime.</para>
+
+</sect2>
Index: gnome/otherlibs/libglade14/libglade14.ent
===================================================================
--- gnome/otherlibs/libglade14/libglade14.ent	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14.ent	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,11 @@
+<!ENTITY libglade14 SYSTEM "libglade14.xml">
+<!ENTITY libglade14-intro SYSTEM "libglade14-intro.xml">
+<!ENTITY libglade14-inst SYSTEM "libglade14-inst.xml">
+<!ENTITY libglade14-exp SYSTEM "libglade14-exp.xml">
+<!ENTITY libglade14-desc SYSTEM "libglade14-desc.xml">
+<!ENTITY libglade14-config SYSTEM "libglade14-config.xml">
+<!ENTITY libglade14-buildsize "3.2 MB">
+<!ENTITY libglade14-version "0.17">
+<!ENTITY libglade14-download-http "http://ibiblio.org/pub/Linux/X11/gnome/sources/libglade/0.17/libglade-&libglade14-version;.tar.gz">
+<!ENTITY libglade14-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libglade/0.17/libglade-&libglade14-version;.tar.gz">
+<!ENTITY libglade14-size "420 KB">
Index: gnome/otherlibs/libglade14/libglade14.xml
===================================================================
--- gnome/otherlibs/libglade14/libglade14.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
+++ gnome/otherlibs/libglade14/libglade14.xml	(revision 3331743126d5ed7e416695f90571bfee03257391)
@@ -0,0 +1,12 @@
+<sect1 id="libglade14" xreflabel="libglade-&libglade14-version;">
+<?dbhtml filename="libglade14.html" dir="gnome"?>
+<title>libglade14-&libglade14-version;</title>
+
+&libglade14-intro;
+&libglade14-inst;
+&libglade14-exp;
+&libglade14-config;
+&libglade14-desc;
+
+</sect1>
+