Index: appendices/appendices.xml
===================================================================
--- appendices/appendices.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ appendices/appendices.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -3,5 +3,5 @@
 
 &appendices-symlinks;
-&appendices-old;
+<!-- &appendices-old;-->
 
 </part>
Index: connect/other/other.xml
===================================================================
--- connect/other/other.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ connect/other/other.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -3,6 +3,8 @@
 <title>Other</title>
 
-&connect-other-isdn;
-&connect-other-pppoe;
+<para>Other methods to connect to large networks are through ISDN and
+PPPOE interfaces. Pages written for these interfaces are always welcome
+and will be included in future books, if available.</para>
+
 
 </chapter>
Index: content/web/web.xml
===================================================================
--- content/web/web.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ content/web/web.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -4,5 +4,5 @@
 
 &apache;
-&php;
+<!-- &php -->
 
 </chapter>
Index: gnome/add/gst-plugins.xml
===================================================================
--- gnome/add/gst-plugins.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ gnome/add/gst-plugins.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -5,5 +5,4 @@
 &gst-plugins-intro;
 &gst-plugins-inst;
-&gst-plugins-desc;
 
 </sect1>
Index: gnome/add/media/gst-plugins-intro.xml
===================================================================
--- gnome/add/media/gst-plugins-intro.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ gnome/add/media/gst-plugins-intro.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -11,7 +11,5 @@
 
 <screen>gst-plugins depends on:
-<xref linkend="gstreamer"/>
-gst-plugins will utilize:
-[still compiling]</screen>
+<xref linkend="gstreamer"/></screen>
 
 </sect2>
Index: gnome/add/media/gst-plugins.ent
===================================================================
--- gnome/add/media/gst-plugins.ent	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ gnome/add/media/gst-plugins.ent	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -5,5 +5,5 @@
 <!ENTITY gst-plugins-desc SYSTEM "gst-plugins-desc.xml">
 <!ENTITY gst-plugins-config SYSTEM "gst-plugins-config.xml">
-<!ENTITY gst-plugins-buildsize "">
+<!ENTITY gst-plugins-buildsize "98 MB">
 <!ENTITY gst-plugins-version "0.6.0">
 <!ENTITY gst-plugins-download-http "http://ftp.gnome.org/pub/GNOME/sources/gst-plugins/0.6/gst-plugins-0.6.0.tar.bz2">
Index: index.xml
===================================================================
--- index.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ index.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030413">
-<!ENTITY releasedate "April 13th, 2003">
+<!ENTITY version "20030414">
+<!ENTITY releasedate "April 14th, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/askhelp.xml
===================================================================
--- introduction/welcome/askhelp.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ introduction/welcome/askhelp.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -12,4 +12,34 @@
 your problem, include as much relevant information as possible in your
 request for help.</para>
+
+<sect2>
+<title>Things to check prior to asking</title>
+
+<para>Before asking for help, you should review the following
+items:</para>
+
+<itemizedlist>
+<listitem><para>Is the hardware support compiled into the kernel or
+available as a module to the kernel.  If it is a module, is it configured
+properly in <filename>modules.conf</filename> and has it been loaded.  You
+should use <userinput>lsmod</userinput> to see if it's loaded. Check the
+<filename>sys.log</filename> or run <userinput>modprobe
+&lt;driver&gt;</userinput>
+to review any error message.  If it loads properly, you may need to add
+the <userinput>modprobe</userinput> to your boot scripts.</para></listitem>
+
+<listitem><para>Are your permissions properly set, especially for
+devices.  LFS uses groups to make these settings easier, but it also
+adds the step of adding users to groups to allow access. A simple
+<userinput>moduser -G audio &lt;user&gt;</userinput> may be all that's
+necessary for that user to have access to the sound
+system.  Any question that starts out with "It works as root, but not as
+..." should review permissions throughly prior to asking.</para></listitem>
+
+<listitem><para>BLFS liberally uses <filename>/opt/&lt;package&gt;</filename>. The main objection to this centers around the need to
+expand you environment variables for each package placed there (e.g.
+PATH=$PATH:/opt/kde/bin).  In some cases, the package will walk you
+through the changes, but some will not.</para></listitem>
+</itemizedlist></sect2>
 
 <sect2>
@@ -33,4 +63,14 @@
 that we won't help you. It'll just help us to see other possible causes of your problem.)</para>
 
+<para>Expect guidance instead of specific instructions. If you are
+instructed to read something, please do so, it generally implies that
+the answer was way too obvious and that the question would not have been asked if a little
+research was done prior to asking. The volunteers in the mailing list
+prefer not to be used as an alternative to doing reasonable research on
+your end.  In addition, the quality of your experience with BLFS is also greatly
+enhanced by this research, and the quality of volunteers is enhanced
+because they don't feel that their time has been abused, so they are
+far more likely to participate.</para>
+
 <para>An excellent article on asking for help on the Internet in general
 has been written by Eric S. Raymond. It is available online at <ulink
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ introduction/welcome/changelog.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>April 14th,2003 [larry]: Tree pruning.  All unfinished
+work was commented out.</para></listitem>
 
 <listitem><para>April 12th 2003 [larry]: modified instructions for
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/core/arts.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -33,16 +33,16 @@
 
 <sect2><title>aRts Installation Command explanations</title>
-<para><userinput>--prefix=&kde-dir;:</userinput> This option tells the
+<para><userinput>--prefix=&kde-dir;</userinput> : This option tells the
 process to install the package in &kde-dir;.  We put aRts here because this
 package is required before installing KDE.</para>
 
-<para><userinput>--disable-debug:</userinput> This option causes the
+<para><userinput>--disable-debug</userinput> : This option causes the
 system to be compiled without debugging code.
 </para>
 
-<para><userinput>--disable-dependency-tracking:</userinput> This option speeds
+<para><userinput>--disable-dependency-tracking</userinput> : This option speeds
 up one time builds.</para>
 
-<para><userinput>ln -sfn &kde-dir; /opt/kde:</userinput> This command creates
+<para><userinput>ln -sfn &kde-dir; /opt/kde</userinput> : This command creates
 a link for access to KDE.  If a newer version of KDE is released, the new
 system can be built by changing the <userinput>--prefix</userinput> location
Index: kde/core/config.xml
===================================================================
--- kde/core/config.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/core/config.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -12,6 +12,6 @@
 </para>
 
-<para>At this point you can bring up KDE with
-<userinput>startx</userinput></para>
+<para>At this point you can bring up KDE with:
+<screen><userinput>startx</userinput></screen></para>
 
 </sect1>
Index: kde/inst/kde-admin.xml
===================================================================
--- kde/inst/kde-admin.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/inst/kde-admin.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -12,5 +12,5 @@
 <screen><xref linkend="kde-base"/>.
 The kpackage program can use <filename>rpm</filename>.
-kuser can use <filename>shadow</filename> and <filename>pam</filename>.</screen></para>
+kuser can use <filename>shadow</filename> and <xref linkend="Linux_PAM"/>.</screen></para>
 
 <para>Install kdeadmin with:
@@ -23,5 +23,5 @@
 <title>kdeadmin Installation Command explanations</title>
 
-<para><userinput>--with-shadow:</userinput> This option allows use of 
+<para><userinput>--with-shadow</userinput> : This option allows use of 
 shadow passwords.</para>
 
Index: kde/inst/kde-base.xml
===================================================================
--- kde/inst/kde-base.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/inst/kde-base.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -10,5 +10,5 @@
 recommended:
 <screen><xref linkend="openssl"/>, <xref linkend="lesstif"/>, <xref linkend="CDParanoia"/>, <xref linkend="libvorbis"/>,
-shadow (in the LFS book), and cups.</screen></para>
+shadow (in the LFS book), and <xref linkend="cups"/>.</screen></para>
 
 <para>Other programs and libraries that can be used by kdebase are:
@@ -27,9 +27,9 @@
 <title>kdebase Installation Command explanations</title>
  
-<para><userinput>--disable-lametest:</userinput> Do not search for and use 
+<para><userinput>--disable-lametest</userinput> : Do not search for and use 
 lame support.  This package provides mp3 encoding. Omit this option if
 you installed <filename>lame</filename>.</para>
   
-<para><userinput>--with-shadow:</userinput> Use shadow password 
+<para><userinput>--with-shadow</userinput> : Use shadow password 
 support.</para>
 </sect2>
Index: kde/inst/kde-graphics.xml
===================================================================
--- kde/inst/kde-graphics.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/inst/kde-graphics.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -12,5 +12,5 @@
 <screen><xref linkend="kde-base"/> and <xref linkend="which"/> (or the which script).
 The kuickshow program requires <xref linkend="imlib"/>.
-The kooka program requires <filename>sane</filename>.</screen></para>
+The kooka program requires <xref linkend="sane"/>.</screen></para>
 
 <para>Install kdegraphics with:
Index: kde/inst/kde-libs.xml
===================================================================
--- kde/inst/kde-libs.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/inst/kde-libs.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -8,9 +8,9 @@
 Estimated build time:        62 min (667 MHz)</screen></para>
 
-
+<!-- 
 <warning><para>The KDE instructions are being revised.  The instructions should
 work as described in the following sections, but not all KDE packages
 have been validated.</para></warning>
-
+-->
 
 
@@ -32,17 +32,17 @@
 
 <sect2><title>kdelibs Installation Command explanations</title>
-<para><userinput>--prefix=&kde-dir;:</userinput> This option tells
+<para><userinput>--prefix=&kde-dir;</userinput> : This option tells
 the process to install the package in &kde-dir;.</para>
 
-<para><userinput>--disable-debug:</userinput> This option causes the
+<para><userinput>--disable-debug</userinput> : This option causes the
 system to be compiled without debugging code.</para>
 
-<para><userinput>--disable-dependency-tracking:</userinput> This option
+<para><userinput>--disable-dependency-tracking</userinput> : This option
 speeds up one time builds.</para>
 
-<para><userinput>--with-alsa:</userinput> This option tells the build process to
+<para><userinput>--with-alsa</userinput> : This option tells the build process to
 search for and use Alsa for sound support.</para>
 
-<para><userinput>--enable-fast-malloc=full:</userinput> This option tells
+<para><userinput>--enable-fast-malloc=full</userinput> : This option tells
 KDE programs to use an internal memory allocation scheme 
 optimized for KDE.</para>
Index: kde/inst/kde-multimedia.xml
===================================================================
--- kde/inst/kde-multimedia.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/inst/kde-multimedia.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -21,5 +21,5 @@
 <title>kdemultimedia Installation Command explanations</title>
 
-<para><userinput>--with-arts-alsa:</userinput> Use the alsa support built 
+<para><userinput>--with-arts-alsa</userinput> : Use the alsa support built 
 into aRts.</para>
 
Index: kde/kde.ent
===================================================================
--- kde/kde.ent	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/kde.ent	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -49,5 +49,5 @@
 
 <!ENTITY kde-libs-ftp "&kde-download;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kde-libs-size "7.2 MB">
+<!ENTITY kde-libs-size " 7.2 MB">
 <!ENTITY kde-base-ftp "&kde-download;/kdebase-&kde-version;.tar.bz2">
 <!ENTITY kde-base-size "12.0 MB">
Index: kde/other/other.xml
===================================================================
--- kde/other/other.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ kde/other/other.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -4,8 +4,5 @@
 
 &kdoc;
-&kde-bindings;
-&kde-sdk;
 &kdevelop;
-&kdm;
 
 </chapter>
Index: postlfs/config/config.xml
===================================================================
--- postlfs/config/config.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ postlfs/config/config.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -24,5 +24,5 @@
 &postlfs-config-vimrc;
 &postlfs-config-bootdisk;
-&postlfs-config-manpages;
+<!--&postlfs-config-manpages;-->
 &postlfs-config-skel;
 
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ postlfs/security/security.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -8,5 +8,5 @@
 &tripwire;
 &Linux_PAM;
-&postlfs-security-syslog;
+<!--&postlfs-security-syslog;-->
 
 </chapter>
Index: preface/organization.xml
===================================================================
--- preface/organization.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ preface/organization.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -33,6 +33,6 @@
 
 <sect2><title>Part VII - Content Serving</title>
-<para>In this part we deal with databases and web server software (including
-php).</para></sect2>
+<para>In this part we deal with databases and web server software
+<!--(including php)-->.</para></sect2>
 
 <sect2><title>Part VIII - X + Window Managers</title>
Index: server/mail/mail.xml
===================================================================
--- server/mail/mail.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ server/mail/mail.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -7,6 +7,6 @@
 there are several other choices.</para>
 
-<para>As well as SMTP servers there are two other packages here, a POP
-server (qpopper) and an IMAP server (Courier-IMAP).</para>
+<para>As well as SMTP servers there is a POP server (qpopper). An IMAP
+server (Courier-IMAP) is available for inclusion in the next version.</para>
 
 &postfix;
@@ -15,5 +15,4 @@
 &exim;
 &qpopper;
-&courier;
-
+<!--&courier-->
 </chapter>
Index: xsoft/office/office.xml
===================================================================
--- xsoft/office/office.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ xsoft/office/office.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -6,5 +6,4 @@
 &gnumeric;
 &gnucash;
-&magicpoint;
 &gimp;
 &evolution;
Index: xsoft/suites/openoffice/openoffice-intro.xml
===================================================================
--- xsoft/suites/openoffice/openoffice-intro.xml	(revision 73a7e571203399bdbd923ed58b75a2590f6de12a)
+++ xsoft/suites/openoffice/openoffice-intro.xml	(revision 33368523572ecafd706de67c4c161ecba3bc1760)
@@ -17,5 +17,5 @@
 <xref linkend="zip"/>, <xref linkend="unzip"/>, <xref linkend="tcsh"/>,
 <xref linkend="db"/>, <xref linkend="STLport"/>, <xref linkend="which"/>
-and mktemp
+and <ulink url="http://www.courtesan.com/mktemp">mktemp</ulink>
 openoffice will utilize:
 ant