Index: stylesheets/blfs-pdf.xsl
===================================================================
--- stylesheets/blfs-pdf.xsl	(revision b26564ea764998819e45819a56a77924eb7cb553)
+++ stylesheets/blfs-pdf.xsl	(revision 35238305999401ee7705958016d4b656c7826c61)
@@ -5,10 +5,10 @@
                 version="1.0">
 
-  	<!-- We use FO and FOP as the processor -->
+    <!-- We use FO and FOP as the processor -->
   <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.68.1/fo/docbook.xsl"/>
   <xsl:param name="fop.extensions" select="1"/>
   <xsl:param name="draft.mode" select="'no'"/>
 
-  	<!-- Including our others customized templates -->
+    <!-- Including our others customized templates -->
   <xsl:include href="pdf/lfs-admon.xsl"/>
   <xsl:include href="pdf/lfs-index.xsl"/>
@@ -21,17 +21,17 @@
   <xsl:param name="local.l10n.xml" select="document('blfs-l10n.xml')"/>
 
-  	<!-- Probably want to make the paper size configurable -->
+    <!-- Probably want to make the paper size configurable -->
   <xsl:param name="paper.type" select="'letter'"/>
 
     <!-- Printing Style -->
-  <xsl:param name="double.sided" select="1"/>
+  <xsl:param name="double.sided" select="0"/>
   <xsl:param name="hyphenate">false</xsl:param>
   <xsl:param name="alignment">justify</xsl:param>
 
-  	<!-- Font size -->
+    <!-- Font size -->
   <xsl:param name="body.font.master">9</xsl:param>
   <xsl:param name="body.font.size">12pt</xsl:param>
 
-  	<!-- TOC generation -->
+    <!-- TOC generation -->
   <xsl:param name="generate.toc">
     book      toc
Index: stylesheets/pdf/lfs-mixed.xsl
===================================================================
--- stylesheets/pdf/lfs-mixed.xsl	(revision b26564ea764998819e45819a56a77924eb7cb553)
+++ stylesheets/pdf/lfs-mixed.xsl	(revision 35238305999401ee7705958016d4b656c7826c61)
@@ -6,6 +6,6 @@
 
 
-    <!-- This is a hack and isn't correct semantically. Theoretically, the beginpage 
-      tags should be placed in the XML source only to render the PDF output and 
+    <!-- This is a hack and isn't correct semantically. Theoretically, the beginpage
+      tags should be placed in the XML source only to render the PDF output and
       should be removed after it. But there is no a better way and we need this.-->
   <xsl:template match="beginpage">
@@ -139,5 +139,5 @@
   <xsl:param name="variablelist.max.termlength">32</xsl:param>
 
-    <!-- Adding space before segmentedlist -->
+    <!-- Making the same look that in the XHTML output. -->
   <xsl:template match="segmentedlist">
     <!--<xsl:variable name="presentation">
@@ -162,10 +162,40 @@
       </xsl:when>
       <xsl:otherwise>-->
-        <fo:block space-before.minimum="0.4em" space-before.optimum="0.6em"
-                space-before.maximum="0.8em">
-          <xsl:apply-templates/>
-        </fo:block>
+        <fo:list-block provisional-distance-between-starts="11em"
+              provisional-label-separation="1em"
+              xsl:use-attribute-sets="list.block.spacing">
+          <xsl:apply-templates/>
+        </fo:list-block>
       <!--</xsl:otherwise>
     </xsl:choose>-->
+  </xsl:template>
+
+  <xsl:template match="seglistitem">
+    <xsl:apply-templates/>
+  </xsl:template>
+
+  <xsl:template match="seg">
+    <xsl:variable name="segnum" select="count(preceding-sibling::seg)+1"/>
+    <xsl:variable name="seglist" select="ancestor::segmentedlist"/>
+    <xsl:variable name="segtitles" select="$seglist/segtitle"/>
+    <!-- Note: segtitle is only going to be the right thing in a well formed
+      SegmentedList.  If there are too many Segs or too few SegTitles,
+      you'll get something odd...maybe an error -->
+    <fo:list-item xsl:use-attribute-sets="list.item.spacing">
+      <fo:list-item-label end-indent="label-end()" text-align="start">
+        <fo:block>
+          <fo:inline font-weight="bold">
+            <xsl:apply-templates select="$segtitles[$segnum=position()]"
+                    mode="segtitle-in-seg"/>
+            <xsl:text>: </xsl:text>
+          </fo:inline>
+        </fo:block>
+      </fo:list-item-label>
+      <fo:list-item-body start-indent="body-start()">
+        <fo:block text-align="left">
+          <xsl:apply-templates/>
+        </fo:block>
+      </fo:list-item-body>
+    </fo:list-item>
   </xsl:template>
 