Index: gnome/add/applets/gnome-applets.ent
===================================================================
--- gnome/add/applets/gnome-applets.ent	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ gnome/add/applets/gnome-applets.ent	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -5,6 +5,6 @@
 <!ENTITY gnome-applets-desc SYSTEM "gnome-applets-desc.xml">
 <!ENTITY gnome-applets-version "2.6.0">
-<!ENTITY gnome-applets-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-applets/2.4/gnome-applets-&gnome-applets-version;.tar.bz2">
-<!ENTITY gnome-applets-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-applets/2.4/gnome-applets-&gnome-applets-version;.tar.bz2">
+<!ENTITY gnome-applets-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-applets/2.6/gnome-applets-&gnome-applets-version;.tar.bz2">
+<!ENTITY gnome-applets-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-applets/2.6/gnome-applets-&gnome-applets-version;.tar.bz2">
 <!ENTITY gnome-applets-size "3.7 MB">
 <!ENTITY gnome-applets-buildsize "110.1 MB">
Index: gnome/add/terminal/gnome-terminal.ent
===================================================================
--- gnome/add/terminal/gnome-terminal.ent	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ gnome/add/terminal/gnome-terminal.ent	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -5,6 +5,6 @@
 <!ENTITY gnome-terminal-desc SYSTEM "gnome-terminal-desc.xml">
 <!ENTITY gnome-terminal-version "2.6.0">
-<!ENTITY gnome-terminal-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/2.4/gnome-terminal-&gnome-terminal-version;.tar.bz2">
-<!ENTITY gnome-terminal-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/2.4/gnome-terminal-&gnome-terminal-version;.tar.bz2">
+<!ENTITY gnome-terminal-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/2.6/gnome-terminal-&gnome-terminal-version;.tar.bz2">
+<!ENTITY gnome-terminal-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/2.6/gnome-terminal-&gnome-terminal-version;.tar.bz2">
 <!ENTITY gnome-terminal-size "1.9 MB">
 <!ENTITY gnome-terminal-buildsize "24.4 MB">
Index: gnome/lib/gal/gal2.ent
===================================================================
--- gnome/lib/gal/gal2.ent	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ gnome/lib/gal/gal2.ent	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -3,5 +3,5 @@
 <!ENTITY gal2-inst SYSTEM "gal2-inst.xml">
 <!ENTITY gal2-desc SYSTEM "gal2-desc.xml">
-<!ENTITY gal2-version "1.99.10">
+<!ENTITY gal2-version "1.99.11">
 <!ENTITY gal2-download-http "http://ftp.gnome.org/pub/gnome/sources/gal/1.99/gal-&gal2-version;.tar.bz2">
 <!ENTITY gal2-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/gal/1.99/gal-&gal2-version;.tar.bz2">
Index: gnome/lib/gtkhtml/gtkhtml2.ent
===================================================================
--- gnome/lib/gtkhtml/gtkhtml2.ent	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ gnome/lib/gtkhtml/gtkhtml2.ent	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -3,5 +3,5 @@
 <!ENTITY gtkhtml2-inst SYSTEM "gtkhtml2-inst.xml">
 <!ENTITY gtkhtml2-desc SYSTEM "gtkhtml2-desc.xml">
-<!ENTITY gtkhtml2-version "3.0.9">
+<!ENTITY gtkhtml2-version "3.0.10">
 <!ENTITY gtkhtml2-download-http "http://ftp.gnome.org/pub/gnome/sources/gtkhtml/3.0/gtkhtml-&gtkhtml2-version;.tar.bz2">
 <!ENTITY gtkhtml2-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/gtkhtml/3.0/gtkhtml-&gtkhtml2-version;.tar.bz2">
Index: gnome/lib/libgtkhtml/libgtkhtml.ent
===================================================================
--- gnome/lib/libgtkhtml/libgtkhtml.ent	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ gnome/lib/libgtkhtml/libgtkhtml.ent	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -4,6 +4,6 @@
 <!ENTITY libgtkhtml-desc SYSTEM "libgtkhtml-desc.xml">
 <!ENTITY libgtkhtml-version "2.6.0">
-<!ENTITY libgtkhtml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.4/libgtkhtml-&libgtkhtml-version;.tar.bz2">
-<!ENTITY libgtkhtml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.4/libgtkhtml-&libgtkhtml-version;.tar.bz2">
+<!ENTITY libgtkhtml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
+<!ENTITY libgtkhtml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
 <!ENTITY libgtkhtml-size "420 KB">
 <!ENTITY libgtkhtml-buildsize "149 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5026f008455724d99797de363b86abc8513ea985)
+++ introduction/welcome/changelog.xml	(revision 36422499938ba9a4554c800d3cbdb66b829f45b7)
@@ -11,4 +11,8 @@
 
 <itemizedlist>
+
+<listitem><para>April 15th, 2004 [igor]: Updated to GAL-1.99.11 and
+GtkHTML-3.0.10 to fix compilation breaks, reported by
+Matthew Baker and confirmed by Jeremy Utley.</para></listitem>
 
 <listitem><para>April 15th, 2004 [igor]: Updated to PHP-4.3.5.</para></listitem>