Index: general/genlib/libportal.xml
===================================================================
--- general/genlib/libportal.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/genlib/libportal.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/qca.xml
===================================================================
--- general/genlib/qca.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/genlib/qca.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/highlight.xml
===================================================================
--- general/genutils/highlight.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/genutils/highlight.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/imagemagick.xml
===================================================================
--- general/genutils/imagemagick.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/genutils/imagemagick.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -74,5 +74,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/telepathy-mission-control.xml
===================================================================
--- general/genutils/telepathy-mission-control.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/genutils/telepathy-mission-control.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/glm.xml
===================================================================
--- general/graphlib/glm.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/glm.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/lcms.xml
===================================================================
--- general/graphlib/lcms.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/lcms.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libgxps.xml
===================================================================
--- general/graphlib/libgxps.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/libgxps.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libraw.xml
===================================================================
--- general/graphlib/libraw.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/libraw.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/opencv.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/woff2.xml
===================================================================
--- general/graphlib/woff2.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/graphlib/woff2.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/blocaled.xml
===================================================================
--- general/sysutils/blocaled.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/sysutils/blocaled.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/cups-pk-helper.xml
===================================================================
--- general/sysutils/cups-pk-helper.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/sysutils/cups-pk-helper.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/mc.xml
===================================================================
--- general/sysutils/mc.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/sysutils/mc.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/notification-daemon.xml
===================================================================
--- general/sysutils/notification-daemon.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/sysutils/notification-daemon.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ general/sysutils/udisks2.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker3.xml
===================================================================
--- gnome/platform/tracker3.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ gnome/platform/tracker3.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/gst10-libav.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/mlt.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/v4l-utils.xml
===================================================================
--- multimedia/libdriv/v4l-utils.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/v4l-utils.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/xine-lib.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xvid.xml
===================================================================
--- multimedia/libdriv/xvid.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ multimedia/libdriv/xvid.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/amtk.xml
===================================================================
--- x/lib/amtk.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/amtk.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter-gst.xml
===================================================================
--- x/lib/clutter-gst.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/clutter-gst.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter-gtk.xml
===================================================================
--- x/lib/clutter-gtk.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/clutter-gtk.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/clutter.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <note>
Index: x/lib/goffice010.xml
===================================================================
--- x/lib/goffice010.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/goffice010.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/grantlee.xml
===================================================================
--- x/lib/grantlee.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/grantlee.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk4.xml
===================================================================
--- x/lib/gtk4.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/gtk4.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtksourceview5.xml
===================================================================
--- x/lib/gtksourceview5.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/gtksourceview5.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/qt5.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/qtwebengine.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -151,5 +151,5 @@
          end of note for editors -->
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <warning>
Index: x/lib/tepl.xml
===================================================================
--- x/lib/tepl.xml	(revision 39637a4db43678f47fb3598d2c4f5b4a0834694a)
+++ x/lib/tepl.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>