Index: multimedia/videoutils/avifile.xml
===================================================================
--- multimedia/videoutils/avifile.xml	(revision 0708c2a06b8b04afb9baf2829a15498d661ab12b)
+++ multimedia/videoutils/avifile.xml	(revision 380902230b8c1715b9887520998d35280cb629e3)
@@ -4,5 +4,6 @@
   %general-entities;
 
-  <!ENTITY avifile-download-http "http://prdownloads.sourceforge.net/avifile/avifile-0.7-&avifile-version;.tar.gz">
+  <!ENTITY avifile-main-version  "0.7">
+  <!ENTITY avifile-download-http "http://prdownloads.sourceforge.net/avifile/avifile-&avifile-main-version;-&avifile-version;.tar.gz">
   <!ENTITY avifile-download-ftp  " ">
   <!ENTITY avifile-size          "3.4 MB">
@@ -21,4 +22,6 @@
 <?dbhtml filename="avifile.html"?>
 <title><application>Avifile</application>-&avifile-version;</title>
+<indexterm zone="avifile">
+<primary sortas="a-Avifile">Avifile</primary></indexterm>
 
 <sect2>
@@ -79,14 +82,21 @@
 <title>Installation of <application>Avifile</application></title>
 
+<para>Install the required <acronym>CODEC</acronym> as the root user using 
+the following commands:</para>
+
+<screen><userinput role='root'><command>install -d -m755 /usr/lib/avifile-&avifile-main-version;/win32 &amp;&amp;
+tar -zxf ../binaries-011002.tgz -C /usr/lib/avifile-&avifile-main-version;</command></userinput></screen>
+
 <para>Install <application>Avifile</application> by running the 
 following commands:</para>
 
-<screen><userinput><command>install -d /usr/lib/avifile-0.7/win32 &amp;&amp;
-tar -zxf ../binaries-011002.tgz -C /usr/lib/avifile-0.7 &amp;&amp;
-./configure --prefix=/usr \
-    --with-win32-path=/usr/lib/avifile-0.7/win32 &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr \
+    --with-win32-path=/usr/lib/avifile-&avifile-main-version;/win32 &amp;&amp;
 make &amp;&amp;
-sed -i -e "s,include/avifile,&amp;-0.7," avifile.pc &amp;&amp;
-make install</command></userinput></screen>
+sed -i -e "s,include/avifile,&amp;-&avifile-main-version;," avifile.pc</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install</command></userinput></screen>
 
 </sect2>
@@ -95,7 +105,8 @@
 <title>Command explanations</title>
 
-<para><command>sed -i -e "s,include/avifile,&amp;-0.7," avifile.pc</command>: 
-The <application>pkgconfig</application> file is installed with an incorrect 
-include directory definition. This command fixes the file.</para>
+<para><command>sed -i -e "s,include/avifile,&amp;-&avifile-main-version;," 
+avifile.pc</command>: The <application>pkgconfig</application> file is 
+installed with an incorrect include directory definition. This command fixes 
+the file.</para>
 
 </sect2>
@@ -104,66 +115,135 @@
 <title>Contents</title>
 
-<para>The <application>Avifile</application> package contains 
-<command>aviplay</command>, <command>avibench</command>, 
-<command>avifile-config</command>, <command>mmxnow-config</command>, 
-<command>avirecompress</command>, <command>avicap</command>, 
-<command>avirec</command>, <command>kv4lsetup</command>, 
-<command>avicat</command>, <command>avitype</command> and 
-<command>avimake</command>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>aviplay</title>
-<para><command>aviplay</command> manages the input formats, the
-<acronym>CODEC</acronym>s and the output formats to display 
-<acronym>AVI</acronym> video files on your screen.</para></sect3>
-
-<sect3><title>avibench</title>
-<para><command>avibench</command> performs a measurement of the 
-<application><acronym>AVI</acronym> file support</application> 
-library's performance for a file.</para></sect3>
-
-<sect3><title>avifile-config</title>
-<para><command>avifile-config</command> is run by 
-<command>configure</command> for programs wishing to link to the  
-<application>Avifile</application> library.</para></sect3>
-
-<sect3><title>mmxnow-config</title>
-<para><command>mmxnow-config</command> is run by 
-<command>configure</command> for programs wishing to link to the 
-mmxnow library.</para></sect3>
-
-<sect3><title>avirecompress</title>
-<para><command>avirecompress</command> is a widget that takes an input file of 
-one <acronym>CODEC</acronym> type and converts it into a video file of
-another <acronym>CODEC</acronym>.</para></sect3>
-
-<sect3><title>avicap</title>
-<para><command>avicap</command> is a widget that displays acquired video from a 
-Video For Windows (<acronym>VFW</acronym>) compatible device, like a webcam or 
-a TV-tuner.</para></sect3>
-
-<sect3><title>avirec</title>
-<para><command>avirec</command> is a command-line video recording 
-tool.</para></sect3>
-
-<sect3><title>kv4lsetup</title>
-<para><command>kv4lsetup</command> is a small tool which tells 
-<application>video4linux</application> about the current video 
-mode.</para></sect3>
-
-<sect3><title>avicat</title>
-<para><command>avicat</command> takes a set of <acronym>AVI</acronym> files and 
-combines them into a single file.</para></sect3>
-
-<sect3><title>avitype</title>
-<para><command>avitype</command> will read and display <acronym>AVI</acronym> 
-file header information.</para></sect3>
-
-<sect3><title>avimake</title>
-<para><command>avimake</command> takes a set of <acronym>JPG</acronym> images 
-and creates a movie.</para></sect3>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
+<seglistitem>
+<seg>avibench, avicap, avicat, avifile-config, avimake, aviplay, avirec, 
+avirecompress, avitype, kv41setup and mmxnow-config</seg>
+<seg>libaviplay.so, libaviplayavcodec.so, libaviplayavformat.so, 
+libaviplaydha.so, libaviplayvidix and numerous <acronym>CODEC</acronym> 
+plugins and video extensions.</seg>
+<seg>/usr/include/avifile-&avifile-main-version;, 
+/usr/lib/avifile-&avifile-main-version; and 
+/usr/share/avifile-&avifile-main-version;</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="avibench">
+<term><command>avibench</command></term>
+<listitem><para>performs a measurement of the <acronym>AVI</acronym> file 
+support library's performance for a file.</para>
+<indexterm zone="avifile avibench">
+<primary sortas="b-avibench">avibench</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avicap">
+<term><command>avicap</command></term>
+<listitem><para>is a widget that displays acquired video from a Video For 
+Windows (<acronym>VFW</acronym>) compatible device, like a webcam or a 
+<acronym>TV</acronym>-tuner.</para>
+<indexterm zone="avifile avicap">
+<primary sortas="b-avicap">avicap</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avicat">
+<term><command>avicat</command></term>
+<listitem><para>takes a set of <acronym>AVI</acronym> files and combines them 
+into a single file.</para>
+<indexterm zone="avifile avicat">
+<primary sortas="b-avicat">avicat</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avifile-config">
+<term><command>avifile-config</command></term>
+<listitem><para>is run by <command>configure</command> for programs wishing 
+to link to the <application>Avifile</application> libraries.</para>
+<indexterm zone="avifile avifile-config">
+<primary sortas="b-avifile-config">avifile-config</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avimake">
+<term><command>avimake</command></term>
+<listitem><para>takes a set of <acronym>JPG</acronym> images and creates a 
+movie.</para>
+<indexterm zone="avifile avimake">
+<primary sortas="b-avimake">avimake</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="aviplay">
+<term><command>aviplay</command></term>
+<listitem><para> manages the input formats, the <acronym>CODEC</acronym>s and 
+the output formats to display <acronym>AVI</acronym> video files on your 
+screen.</para>
+<indexterm zone="avifile aviplay">
+<primary sortas="b-aviplay">aviplay</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avirec">
+<term><command>avirec</command></term>
+<listitem><para>is a command-line video recording tool.</para>
+<indexterm zone="avifile avirec">
+<primary sortas="b-avirec">avirec</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avirecompress">
+<term><command>avirecompress</command></term>
+<listitem><para>is a widget that takes an input file of one 
+<acronym>CODEC</acronym> type and converts it into a video file of 
+another <acronym>CODEC</acronym>.</para>
+<indexterm zone="avifile avirecompress">
+<primary sortas="b-avirecompress">avirecompress</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="avitype">
+<term><command>avitype</command></term>
+<listitem><para>will read and display <acronym>AVI</acronym> file header 
+information.</para>
+<indexterm zone="avifile avitype">
+<primary sortas="b-avitype">avitype</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="kv41setup">
+<term><command>kv41setup</command></term>
+<listitem><para>is a small tool which tells 
+<application>video4linux</application> about the current video mode.</para>
+<indexterm zone="avifile kv41setup">
+<primary sortas="b-kv41setup">kv41setup</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="mmxnow-config">
+<term><command>mmxnow-config</command></term>
+<listitem><para>is run by <command>configure</command> for programs wishing 
+to link to the mmxnow library.</para>
+<indexterm zone="avifile mmxnow-config">
+<primary sortas="b-mmxnow-config">mmxnow-config</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="libaviplay">
+<term><filename class='libraryfile'>libaviplay*.so</filename></term>
+<listitem><para>libraries contain the functions required by the various 
+<application>Avifile</application> programs for encoding, decoding and to 
+interface with the various plugins and video extensions.</para>
+<indexterm zone="avifile libaviplay">
+<primary sortas="c-libaviplay">libaviplay*.so</primary></indexterm>
+</listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>