Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision e3ed30f14a3b01b6cb94f69ad72fa77725126406)
+++ server/mail/dovecot.xml	(revision 390071688885477f1acf0b8e99deff3e5a582b04)
@@ -8,8 +8,8 @@
   "https://www.dovecot.org/releases/&dovecot-major;.&dovecot-minor;/dovecot-&dovecot-version;.tar.gz">
   <!ENTITY dovecot-download-ftp  " ">
-  <!ENTITY dovecot-md5sum        "f06f2272fad04e7b0207f8d00a291f66">
-  <!ENTITY dovecot-size          "7.0 MB">
-  <!ENTITY dovecot-buildsize     "222 MB">
-  <!ENTITY dovecot-time          "8.8 SBU">
+  <!ENTITY dovecot-md5sum        "946dc6a89db0d11d0061f0d4447263dc">
+  <!ENTITY dovecot-size          "7.3 MB">
+  <!ENTITY dovecot-buildsize     "205 MB">
+  <!ENTITY dovecot-time          "4.8 SBU">
 ]>
 
@@ -18,5 +18,4 @@
 
   <sect1info>
-    <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
@@ -39,5 +38,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -74,4 +73,15 @@
       </listitem>
     </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/dovecot-&dovecot-version;-lua_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
 
     <bridgehead renderas="sect3">Dovecot Dependencies</bridgehead>
@@ -122,11 +132,10 @@
         -g dovenull -s /bin/false dovenull</userinput></screen>
 
-<!--
-    <para>
-      First, adapt the Lua plugin to Lua-5.4:
-    </para>
-
-<screen><userinput remap="pre">sed -i 's/lua_newuserdata/lua_newuserdatauv/' src/lib-lua/dlua-dovecot.c</userinput></screen>
--->
+    <para>
+      First, apply a patch to fix compilation with Lua-5.4:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../dovecot-&dovecot-version;-lua_fixes-1.patch</userinput></screen>
+
 
     <para>
@@ -135,5 +144,5 @@
     </para>
 
-<screen revision="sysv"><userinput>CFLAGS+=" -I/usr/include/tirpc" \
+<screen revision="sysv"><userinput>CPPFLAGS="-I/usr/include/tirpc" \
 LDFLAGS+=" -ltirpc" \
 ./configure --prefix=/usr                          \
@@ -144,5 +153,5 @@
 make</userinput></screen>
 
-<screen revision="systemd"><userinput>CFLAGS+=" -I/usr/include/tirpc" \
+<screen revision="systemd"><userinput>CPPFLAGS="-I/usr/include/tirpc" \
 LDFLAGS+=" -ltirpc" \
 ./configure --prefix=/usr                          \
@@ -150,6 +159,5 @@
             --localstatedir=/var                   \
             --docdir=/usr/share/doc/dovecot-&dovecot-version; \
-            --disable-static                       \
-            --with-systemdsystemunitdir=/lib/systemd/system &amp;&amp;
+            --disable-static                       &amp;&amp;
 make</userinput></screen>
 
@@ -172,5 +180,5 @@
 
     <para>
-      <command>CFLAGS+=...LDFLAGS+=...</command>: build with libtirpc
+      <command>CPPFLAGS=... LDFLAGS+=...</command>: build with libtirpc
       instead of the recently removed RPC code provided by GlibC.
     </para>
@@ -179,9 +187,11 @@
       href="../../xincludes/static-libraries.xml"/>
 
+    <!-- With merged-/usr, /usr/lib/systemd/system is set by default.
     <para revision="systemd">
-      <parameter>--with-systemdsystemunitdir=/lib/systemd/system</parameter>:
+      <parameter>- -with-systemdsystemunitdir=/lib/systemd/system</parameter>:
       This switch is used to set the correct installation directory for
       systemd units.
     </para>
+    -->
 
     <para>
@@ -285,5 +295,5 @@
         You will definitely want to read the official documentation at <ulink
         url="http://wiki2.dovecot.org/"/> if you plan to use
-        <application>Dovecot</application> in production environment.
+        <application>Dovecot</application> in a production environment.
       </para>
 
@@ -332,6 +342,6 @@
         </seg>
         <seg>
-          various internal plugins in <filename
-          class="directory">/usr/lib/dovecot</filename>
+          various internal plugins in
+          <filename class="directory">/usr/lib/dovecot</filename>
         </seg>
         <seg>
@@ -352,5 +362,5 @@
         <listitem>
           <para>
-            is the <application>Dovecot</application> administration tool.
+            is the <application>Dovecot</application> administration tool
           </para>
           <indexterm zone="dovecot doveadm">
@@ -365,5 +375,5 @@
           <para>
             is <application>Dovecot</application>'s configuration dumping
-            utility.
+            utility
           </para>
           <indexterm zone="dovecot doveconf">
@@ -377,5 +387,5 @@
         <listitem>
           <para>
-            is the IMAP and POP server.
+            is the IMAP and POP server
           </para>
           <indexterm zone="dovecot dovecot-prog">
@@ -390,5 +400,5 @@
           <para>
             prints system information that is useful to the Dovecot developers
-            when submitting bug reports upstream.
+            when submitting bug reports upstream
           </para>
           <indexterm zone="dovecot dovecot-sysreport">
@@ -403,5 +413,5 @@
           <para>
             is <application>Dovecot</application>'s mailbox synchronization
-            utility.
+            utility
           </para>
           <indexterm zone="dovecot dsync">