Index: general.ent
===================================================================
--- general.ent	(revision 1a021f3c9da2acd9bfc883452968662b6a635421)
+++ general.ent	(revision 445384870f2de93db8e2df993fa40a0b424073e4)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 20th, &year;">
+<!ENTITY releasedate  "November 21st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -151,5 +151,5 @@
 <!ENTITY libcap-version               "2.22">
 <!ENTITY linux-pam-version            "1.1.8">
-<!ENTITY mitkrb-version               "1.11.3">
+<!ENTITY mitkrb-version               "1.11.4">
 <!ENTITY nettle-version               "2.7.1">
 <!ENTITY nss-minor-version            "15">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1a021f3c9da2acd9bfc883452968662b6a635421)
+++ introduction/welcome/changelog.xml	(revision 445384870f2de93db8e2df993fa40a0b424073e4)
@@ -45,4 +45,14 @@
 -->
     <listitem>
+      <para>November 21st, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Update to krb5-1.11.4. Fixes
+          <ulink url="&blfs-ticket-root;4344">#4344</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 20th, 2013</para>
       <itemizedlist>
Index: postlfs/security/mitkrb.xml
===================================================================
--- postlfs/security/mitkrb.xml	(revision 1a021f3c9da2acd9bfc883452968662b6a635421)
+++ postlfs/security/mitkrb.xml	(revision 445384870f2de93db8e2df993fa40a0b424073e4)
@@ -7,8 +7,8 @@
   <!ENTITY mitkrb-download-http "http://web.mit.edu/kerberos/www/dist/krb5/1.11/krb5-&mitkrb-version;-signed.tar">
   <!ENTITY mitkrb-download-ftp  " ">
-  <!ENTITY mitkrb-md5sum        "56f0ae274b285320b8a597cb89442449">
-  <!ENTITY mitkrb-size          "11 MB">
-  <!ENTITY mitkrb-buildsize     "178 MB (Additional 20 MB if running the testsuite)">
-  <!ENTITY mitkrb-time          "1.0 SBU (additional 3.0 SBU if running the testsuite)">
+  <!ENTITY mitkrb-md5sum        "138628ae154ff449bc41602c8de78e8b">
+  <!ENTITY mitkrb-size          "12 MB">
+  <!ENTITY mitkrb-buildsize     "121 MB (Additional 20 MB if running the testsuite)">
+  <!ENTITY mitkrb-time          "1.2 SBU (additional 3.0 SBU if running the testsuite)">
 ]>
 
@@ -170,7 +170,7 @@
 <screen role="root"><userinput>make install &amp;&amp;
 
-for LIBRARY in gssapi_krb5 gssrpc k5crypto kadm5clnt_mit kadm5srv_mit \
+for LIBRARY in gssapi_krb5 gssrpc k5crypto kadm5clnt kadm5srv \
                kdb5 kdb_ldap krb5 krb5support verto ; do
-    [ -e  /usr/lib/lib$LIBRARY.so.*.* ] &amp;&amp; chmod -v 755 /usr/lib/lib$LIBRARY.so.*.*
+    [ -e  /usr/lib/lib$LIBRARY.so ] &amp;&amp; chmod -v 755 /usr/lib/lib$LIBRARY.so
 done &amp;&amp;
 
@@ -205,21 +205,4 @@
       <application>Python</application> detection and second one fixes
       build with <application>Tcl</application> 8.6.
-    </para>
-
-    <para>
-      <option>--enable-dns-for-realm</option>: This switch allows
-      realms to be resolved using the DNS server.
-    </para>
-
-    <para>
-      <option>--with-system-et</option>: This switch causes the build
-      to use the system-installed versions of the error-table support
-      software.
-    </para>
-
-    <para>
-      <option>--with-system-ss</option>: This switch causes the build
-      to use the system-installed versions of the subsystem command-line
-      interface software.
     </para>
 
@@ -229,4 +212,21 @@
       <filename class="directory">/var/lib</filename> instead of
       <filename class="directory">/usr/var</filename>.
+    </para>
+
+    <para>
+      <parameter>--with-system-et</parameter>: This switch causes the build
+      to use the system-installed versions of the error-table support
+      software.
+    </para>
+
+    <para>
+      <parameter>--with-system-ss</parameter>: This switch causes the build
+      to use the system-installed versions of the subsystem command-line
+      interface software.
+    </para>
+
+    <para>
+      <parameter>--enable-dns-for-realm</parameter>: This switch allows
+      realms to be resolved using the DNS server.
     </para>
 
@@ -481,5 +481,5 @@
           gss-client, gss-server, k5srvutil, kadmin, kadmin.local,
           kadmind, kdb5_ldap_util, kdb5_util, kdestroy, kinit, klist,
-          kpasswd, kprop, kpropd, krb5-config, krb5kdc, krb5-send-pr,
+          kpasswd, kprop, kpropd, kproplog, krb5-config, krb5kdc, krb5-send-pr,
           ksu, kswitch, ktutil, kvno, sclient, sim_client, sim_server,
           sserver, uuclient and uuserver