Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 798ed8e55a4aee769c99601ad0aa9f3f81b0820d)
+++ postlfs/security/gnupg2.xml	(revision 4727444406fb8b4b70d888af9eb38b72e37f102c)
@@ -30,11 +30,13 @@
     <title>Introduction to GnuPG</title>
 
-    <para>The <application>GnuPG</application> package is GNU's tool for
-    secure communication and data storage. It can be used to encrypt data and
-    to create digital signatures. It includes an advanced key management
-    facility and is compliant with the proposed OpenPGP Internet standard as
-    described in RFC2440 and the S/MIME standard as described by several RFCs.
-    GnuPG 2 is the stable version of GnuPG integrating support for OpenPGP and
-    S/MIME.</para>
+    <para>
+      The <application>GnuPG</application> package is GNU's tool for
+      secure communication and data storage. It can be used to encrypt data and
+      to create digital signatures. It includes an advanced key management
+      facility and is compliant with the proposed OpenPGP Internet standard as
+      described in RFC2440 and the S/MIME standard as described by several RFCs.
+      GnuPG 2 is the stable version of GnuPG integrating support for OpenPGP and
+      S/MIME.
+    </para>
 
     &lfs91_checked;
@@ -43,20 +45,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&gnupg2-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&gnupg2-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &gnupg2-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &gnupg2-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &gnupg2-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &gnupg2-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&gnupg2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnupg2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnupg2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnupg2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnupg2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnupg2-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -103,20 +117,8 @@
   <sect2 role="installation">
     <title>Installation of GnuPG</title>
-    <!-- It's been well over three years. I think this can be commented for now.
-    <warning>
-      <para>
-        If you are upgrading from gnupg prior to version 2.1, upstream
-        developers recommend backing up
-        <filename class="directory">~/.gnupg</filename> because some additional
-        configuration will probably be necessary and you could lose your keys.
-        You can find instructions at
-        <ulink url="http://jo-ke.name/wp/?p=111"></ulink> and
-        <ulink url="https://wiki.archlinux.org/index.php/GnuPG#.22Lost.22_keys.2C_upgrading_to_gnupg_version_2.1"></ulink>.
-      </para>
-    </warning>
-    -->
-
-    <para>By default GnuPG doesn't install the deprecated gpg-zip script,
-    but it is still needed by some programs.  Make GnuPG install it with:
+
+    <para>
+      By default GnuPG doesn't install the deprecated gpg-zip script,
+      but it is still needed by some programs.  Make GnuPG install it with:
     </para>
 
@@ -124,6 +126,8 @@
     -i tools/Makefile.in</userinput></screen>
 
-    <para>Install <application>GnuPG</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>GnuPG</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr            \
@@ -137,18 +141,24 @@
 make -C doc html</userinput></screen>
 
-    <para>If you have <xref linkend="texlive"/>
-    installed and you wish to create documentation in alternate formats,
-    issue the following commands
-    (<ulink url="http://mcj.sourceforge.net/">fig2dev</ulink> is needed for
-    the ps format):</para>
+    <para>
+      If you have <xref linkend="texlive"/>
+      installed and you wish to create documentation in alternate formats,
+      issue the following commands
+      (<ulink url="http://mcj.sourceforge.net/">fig2dev</ulink> is needed for
+      the ps format):
+    </para>
 
 <screen remap="doc"><userinput>make -C doc pdf ps</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Note that if you have already installed
-    <application>GnuPG</application>, the instructions below will overwrite
-    <filename>/usr/share/man/man1/gpg-zip.1</filename>. Now, as the
-    <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Note that if you have already installed
+      <application>GnuPG</application>, the instructions below will overwrite
+      <filename>/usr/share/man/man1/gpg-zip.1</filename>. Now, as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install &amp;&amp;
@@ -161,7 +171,9 @@
 install -v -m644    doc/gnupg.html/* \
                     /usr/share/doc/gnupg-&gnupg2-version;/html</userinput></screen>
-    <para>If you created alternate formats of the documentation, install them
-    using the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      If you created alternate formats of the documentation, install them
+      using the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"
@@ -174,13 +186,19 @@
     <title>Command Explanations</title>
 
-    <para><command>sed ... tools/Makefile.in</command>:
-    This command is needed to build the gpg-zip program.</para>
-
-    <para><parameter>--docdir=/usr/share/doc/gnupg-&gnupg2-version;</parameter>:
-    This switch changes the default docdir to <filename
-    class="directory">/usr/share/doc/gnupg-&gnupg2-version;</filename>.</para>
-
-    <para><parameter>--enable-symcryptrun</parameter>: This switch enables
-    building the symcryptrun program.</para>
+    <para>
+      <command>sed ... tools/Makefile.in</command>:
+      This command is needed to build the gpg-zip program.
+    </para>
+
+    <para>
+      <parameter>--docdir=/usr/share/doc/gnupg-&gnupg2-version;</parameter>:
+      This switch changes the default docdir to <filename
+      class="directory">/usr/share/doc/gnupg-&gnupg2-version;</filename>.
+    </para>
+
+    <para>
+      <parameter>--enable-symcryptrun</parameter>: This switch enables
+      building the symcryptrun program.
+    </para>
 
     <para>
@@ -223,6 +241,8 @@
         <term><command>addgnupghome</command></term>
         <listitem>
-          <para>is used to create and populate a user's
-          <filename class='directory'>~/.gnupg</filename> directories</para>
+          <para>
+            is used to create and populate a user's
+            <filename class='directory'>~/.gnupg</filename> directories
+          </para>
           <indexterm zone="gnupg2 addgnupghome">
             <primary sortas="b-addgnupghome">addgnupghome</primary>
@@ -234,7 +254,9 @@
         <term><command>applygnupgdefaults</command></term>
         <listitem>
-          <para>is a wrapper script used to run <command>gpgconf</command>
-          with the <parameter>--apply-defaults</parameter> parameter on all
-          user's GnuPG home directories.</para>
+          <para>
+            is a wrapper script used to run <command>gpgconf</command>
+            with the <parameter>--apply-defaults</parameter> parameter on all
+            user's GnuPG home directories.
+          </para>
           <indexterm zone="gnupg2 applygnupgdefaults">
             <primary sortas="b-applygnupgdefaults">applygnupgdefaults</primary>
@@ -246,5 +268,6 @@
         <term><command>dirmngr</command></term>
         <listitem>
-          <para> is a tool that takes care of accessing the OpenPGP keyservers.
+          <para>
+            is a tool that takes care of accessing the OpenPGP keyservers.
           </para>
           <indexterm zone="gnupg2 dirmngr">
@@ -257,6 +280,8 @@
         <term><command>dirmngr-client</command></term>
         <listitem>
-          <para> is a tool to contact a running dirmngr and test whether a
-          certificate has been revoked. </para>
+          <para>
+            is a tool to contact a running dirmngr and test whether a
+            certificate has been revoked. 
+          </para>
           <indexterm zone="gnupg2 dirmngr-client">
             <primary sortas="b-dirmngr-client">dirmngr-client</primary>
@@ -268,6 +293,8 @@
         <term><command>g13</command></term>
         <listitem>
-          <para>is a tool to create, mount or unmount an encrypted file system
-          container (optional).</para>
+          <para>
+            is a tool to create, mount or unmount an encrypted file system
+            container (optional).
+          </para>
           <indexterm zone="gnupg2 g13">
             <primary sortas="b-g13">g13</primary>
@@ -279,8 +306,10 @@
         <term><command>gpg-agent</command></term>
         <listitem>
-          <para>is a daemon used to manage secret (private) keys independently
-          from any protocol. It is used as a backend for <command>gpg2</command>
-          and <command>gpgsm</command> as well as for a couple of other
-          utilities.</para>
+          <para>
+            is a daemon used to manage secret (private) keys independently
+            from any protocol. It is used as a backend for
+            <command>gpg2</command> and <command>gpgsm</command> as well as
+            for a couple of other utilities.
+          </para>
           <indexterm zone="gnupg2 gpg-agent">
             <primary sortas="b-gpg-agent">gpg-agent</primary>
@@ -292,6 +321,8 @@
         <term><command>gpg-connect-agent</command></term>
         <listitem>
-          <para>is a utility used to communicate with a running
-          <command>gpg-agent</command>.</para>
+          <para>
+            is a utility used to communicate with a running
+            <command>gpg-agent</command>.
+          </para>
           <indexterm zone="gnupg2 gpg-connect-agent">
             <primary sortas="b-gpg-connect-agent">gpg-connect-agent</primary>
@@ -303,7 +334,9 @@
         <term><command>gpg</command></term>
         <listitem>
-          <para>is the OpenPGP part of the GNU Privacy Guard (GnuPG). It is a
-          tool used to provide digital encryption and signing services using
-          the OpenPGP standard.</para>
+          <para>
+            is the OpenPGP part of the GNU Privacy Guard (GnuPG). It is a
+            tool used to provide digital encryption and signing services using
+            the OpenPGP standard.
+          </para>
           <indexterm zone="gnupg2 gpg">
             <primary sortas="b-gpg">gpg</primary>
@@ -315,9 +348,11 @@
         <term><command>gpgconf</command></term>
         <listitem>
-          <para>is a utility used to automatically and reasonably safely
-          query and modify configuration files in the
-          <filename class='directory'>~/.gnupg</filename> home directory. It is
-          designed not to be invoked manually by the user, but automatically by
-          graphical user interfaces.</para>
+          <para>
+            is a utility used to automatically and reasonably safely
+            query and modify configuration files in the
+            <filename class='directory'>~/.gnupg</filename> home directory. It
+            is designed not to be invoked manually by the user, but
+            automatically by graphical user interfaces.
+          </para>
           <indexterm zone="gnupg2 gpgconf">
             <primary sortas="b-gpgconf">gpgconf</primary>
@@ -329,6 +364,8 @@
         <term><command>gpgparsemail</command></term>
         <listitem>
-          <para>is a utility currently only useful for debugging. Run it with
-          <parameter>--help</parameter> for usage information.</para>
+          <para>
+            is a utility currently only useful for debugging. Run it with
+            <parameter>--help</parameter> for usage information.
+          </para>
           <indexterm zone="gnupg2 gpgparsemail">
             <primary sortas="b-gpgparsemail">gpgparsemail</primary>
@@ -340,6 +377,7 @@
         <term><command>gpgscm</command></term>
         <listitem>
-          <para>executes the given scheme program or spawns an interactive
-          shell.</para>
+          <para>
+            executes the given scheme program or spawns an interactive shell.
+          </para>
           <indexterm zone="gnupg2 gpgscm">
             <primary sortas="b-gpgscm">gpgscm</primary>
@@ -351,8 +389,10 @@
         <term><command>gpgsm</command></term>
         <listitem>
-          <para>is a tool similar to <command>gpg2</command> used to provide
-          digital encryption and signing services on X.509 certificates and the
-          CMS protocol. It is mainly used as a backend for S/MIME mail
-          processing.</para>
+          <para>
+            is a tool similar to <command>gpg2</command> used to provide
+            digital encryption and signing services on X.509 certificates and
+            the CMS protocol. It is mainly used as a backend for S/MIME mail
+            processing.
+          </para>
           <indexterm zone="gnupg2 gpgsm">
             <primary sortas="b-gpgsm">gpgsm</primary>
@@ -364,5 +404,7 @@
         <term><command>gpgtar</command></term>
         <listitem>
-          <para> is a tool to encrypt or sign files into an archive.</para>
+          <para>
+            is a tool to encrypt or sign files into an archive.
+          </para>
           <indexterm zone="gnupg2 gpgtar">
             <primary sortas="b-gpgtar">gpgtar</primary>
@@ -374,5 +416,7 @@
         <term><command>gpgv</command></term>
         <listitem>
-          <para>is a verify only version of <command>gpg2</command>.</para>
+          <para>
+            is a verify only version of <command>gpg2</command>.
+          </para>
           <indexterm zone="gnupg2 gpgv">
             <primary sortas="b-gpgv">gpgv</primary>
@@ -384,6 +428,8 @@
         <term><command>gpg-wks-server</command></term>
         <listitem>
-          <para>provides a server for the
-          <application>Web Key Service</application> protocol.</para>
+          <para>
+            provides a server for the
+            <application>Web Key Service</application> protocol.
+          </para>
           <indexterm zone="gnupg2 gpg-wks-server">
             <primary sortas="b-gpg-wks-server">gpg-wks-server</primary>
@@ -395,5 +441,7 @@
         <term><command>gpg-zip</command></term>
         <listitem>
-          <para>encrypts or signs files into an archive.</para>
+          <para>
+            encrypts or signs files into an archive.
+          </para>
           <indexterm zone="gnupg2 gpg-zip">
             <primary sortas="b-gpg-zip">gpg-zip</primary>
@@ -405,5 +453,7 @@
         <term><command>kbxutil</command></term>
         <listitem>
-          <para>is used to list, export and import Keybox data.</para>
+          <para>
+            is used to list, export and import Keybox data.
+          </para>
           <indexterm zone="gnupg2 kbxutil">
             <primary sortas="b-kbxutil">kbxutil</primary>
@@ -415,5 +465,7 @@
         <term><command>symcryptrun</command></term>
         <listitem>
-          <para>is a simple symmetric encryption tool.</para>
+          <para>
+            is a simple symmetric encryption tool.
+          </para>
           <indexterm zone="gnupg2 symcryptrun">
             <primary sortas="b-symcryptrun">symcryptrun</primary>
@@ -425,6 +477,8 @@
         <term><command>watchgnupg</command></term>
         <listitem>
-          <para>is used to listen to a Unix Domain socket created by any of
-          the GnuPG tools.</para>
+          <para>
+            is used to listen to a Unix Domain socket created by any of
+            the GnuPG tools.
+          </para>
           <indexterm zone="gnupg2 watchgnupg">
             <primary sortas="b-watchgnupg">watchgnupg</primary>