Index: gnome.ent
===================================================================
--- gnome.ent	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome.ent	(revision 48227632752e849c293807adfba78b947899d902)
@@ -35,9 +35,9 @@
 <!ENTITY baobab-version               "3.14.1">
 <!ENTITY brasero-version              "3.11.4">
-<!ENTITY cheese-version               "3.14.1">
-<!ENTITY eog-version                  "3.14.1">
-<!ENTITY epiphany-version             "3.14.1">
-<!ENTITY evince-version               "3.14.1">
-<!ENTITY file-roller-version          "3.14.1">
+<!ENTITY cheese-version               "3.14.2">
+<!ENTITY eog-version                  "3.14.2">
+<!ENTITY epiphany-version             "3.14.2">
+<!ENTITY evince-version               "3.14.2">
+<!ENTITY file-roller-version          "3.14.2">
 <!ENTITY gedit-version                "3.14.1">
 <!ENTITY gnome-calculator-version     "3.14.1">
@@ -46,5 +46,5 @@
 <!ENTITY gnome-system-monitor-version "3.14.1">
 <!ENTITY gnome-terminal-version       "3.14.2">
-<!ENTITY gucharmap-version            "3.14.1">
+<!ENTITY gucharmap-version            "3.14.2">
 <!ENTITY nautilus-version             "3.14.0">
 <!ENTITY network-manager-applet-version "0.9.10.0">  <!-- stable lt .90 micro version -->
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome/applications/cheese.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -7,5 +7,5 @@
   <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor-14;/cheese-&cheese-version;.tar.xz">
   <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor-14;/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-md5sum        "02ed745aa52118f135051d763d233c03">
+  <!ENTITY cheese-md5sum        "eef03ea68fe5372e3d6a0512ffd84e6d">
   <!ENTITY cheese-size          "1.8 MB">
   <!ENTITY cheese-buildsize     "24 MB">
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome/applications/eog.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -7,8 +7,8 @@
   <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor-14;/eog-&eog-version;.tar.xz">
   <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor-14;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "d946655a31edc2526dd6776c2b5cf129">
+  <!ENTITY eog-md5sum        "589f3eafea82dbab605fb18fc11ef027">
   <!ENTITY eog-size          "4.2 MB">
-  <!ENTITY eog-buildsize     "54 MB">
-  <!ENTITY eog-time          "0.7 SBU">
+  <!ENTITY eog-buildsize     "55 MB">
+  <!ENTITY eog-time          "0.8 SBU">
 ]>
 
Index: gnome/applications/epiphany.xml
===================================================================
--- gnome/applications/epiphany.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome/applications/epiphany.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -9,5 +9,5 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-14;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "adc6f4992192caeccfab9b272ced7a58">
+  <!ENTITY epiphany-md5sum        "22824e2a80f50a67e427ca6af58f3e7c">
   <!ENTITY epiphany-size          "3.0 MB">
   <!ENTITY epiphany-buildsize     "81 MB">
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome/applications/file-roller.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -9,5 +9,5 @@
   <!ENTITY file-roller-download-ftp
            "&gnome-download-ftp;/file-roller/&gnome-minor-14;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "8b2d75bdf50e27a5f63e6202ba270ce2">
+  <!ENTITY file-roller-md5sum        "2a0b940e136485c2efb704e62c171e85">
   <!ENTITY file-roller-size          "1.4 MB">
   <!ENTITY file-roller-buildsize     "32 MB">
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ gnome/applications/gucharmap.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -9,8 +9,8 @@
   <!ENTITY gucharmap-download-ftp
            "&gnome-download-ftp;/gucharmap/&gnome-minor-14;/gucharmap-&gucharmap-version;.tar.xz">
-  <!ENTITY gucharmap-md5sum        "421733d72dafcc36ab3d214f8ed89de1">
+  <!ENTITY gucharmap-md5sum        "a2fe675ba17055fc49776c402a9f9eec">
   <!ENTITY gucharmap-size          "1.9 MB">
   <!ENTITY gucharmap-buildsize     "41 MB">
-  <!ENTITY gucharmap-time          "0.3 SBU">
+  <!ENTITY gucharmap-time          "0.2 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 347646f553972390d7ec0c0eb6cc4311a378f00b)
+++ introduction/welcome/changelog.xml	(revision 48227632752e849c293807adfba78b947899d902)
@@ -49,4 +49,24 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to gucharmap-3.14.2. Fixes
+          <ulink url="&blfs-ticket-root;5804">#5804</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to file-roller-3.14.2. Fixes
+          <ulink url="&blfs-ticket-root;5802">#5802</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to epiphany-3.14.2. Fixes
+          <ulink url="&blfs-ticket-root;5801">#5801</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to eog-3.14.2. Fixes
+          <ulink url="&blfs-ticket-root;5800">#5800</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to cheese-3.14.2. Fixes
+          <ulink url="&blfs-ticket-root;5799">#5799</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - Update to gnome-terminal-3.14.2. Fixes
           <ulink url="&blfs-ticket-root;5803">#5803</ulink>.</para>