Index: multimedia/libdriv/farstream.xml
===================================================================
--- multimedia/libdriv/farstream.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/farstream.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -8,5 +8,5 @@
            "http://freedesktop.org/software/farstream/releases/farstream/farstream-&farstream-version;.tar.gz">
   <!ENTITY farstream-download-ftp  " ">
-  <!ENTITY farstream-md5sum        "01c20c1ed014ad4e18e55f1f6caf7877">
+  <!ENTITY farstream-md5sum        "a8971167068b69a6933d3eaaeb9ab448">
   <!ENTITY farstream-size          "1.2 MB">
   <!ENTITY farstream-buildsize     "30 MB">
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gst10-libav.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "07e5399c44346a95aafc1d4533125774">
+  <!ENTITY gst10-libav-md5sum        "68e1eb18a58907e21b81d26ce7db056a">
   <!ENTITY gst10-libav-size          "4.1 MB">
-  <!ENTITY gst10-libav-buildsize     "370 MB">
-  <!ENTITY gst10-libav-time          "3.2 SBU">
+  <!ENTITY gst10-libav-buildsize     "320 MB">
+  <!ENTITY gst10-libav-time          "3.0 SBU">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,6 +7,6 @@
   <!ENTITY gst10-plugins-bad-download-http "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "5fe353942c6e5adac23f35542b131484">
-  <!ENTITY gst10-plugins-bad-size          "3.1 MB">
+  <!ENTITY gst10-plugins-bad-md5sum        "d1493d1219b836a8cbf54f4fba962420">
+  <!ENTITY gst10-plugins-bad-size          "3.0 MB">
   <!ENTITY gst10-plugins-bad-buildsize     "110 MB">
   <!ENTITY gst10-plugins-bad-time          "0.8 SBU">
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-plugins-base-download-http "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "7123a7f9955bbf1a5a7bb75192c15427">
+  <!ENTITY gst10-plugins-base-md5sum        "b5b43cfbf82b413ce2e07a190d87e68f">
   <!ENTITY gst10-plugins-base-size          "2.3 MB">
   <!ENTITY gst10-plugins-base-buildsize     "120 MB">
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-plugins-good-download-http "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "52556db4a6cc83c915837f8694bd790b">
+  <!ENTITY gst10-plugins-good-md5sum        "e4b1c825475a9b478fe29e8e9f34516f">
   <!ENTITY gst10-plugins-good-size          "2.6 MB">
   <!ENTITY gst10-plugins-good-buildsize     "120 MB">
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,5 +7,5 @@
   <!ENTITY gst10-plugins-ugly-download-http "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "9ffee39153f419ae2329fbf54ed708e0">
+  <!ENTITY gst10-plugins-ugly-md5sum        "8754edf6c3be235f232fb75ad11708bb">
   <!ENTITY gst10-plugins-ugly-size          "808 KB">
   <!ENTITY gst10-plugins-ugly-buildsize     "20 MB">
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision f837bd2b26c1fb263d789fe276677a22b4b30bf8)
+++ multimedia/libdriv/gstreamer10.xml	(revision 489020021235c2262889d3d95a42df212ef2dff5)
@@ -7,5 +7,5 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "d0797e51a420fca0beb973b9dcda586f">
+  <!ENTITY gstreamer10-md5sum        "8f6066a37c71a0d0ff5fe5f7687fea12">
   <!ENTITY gstreamer10-size          "3.0 MB">
   <!ENTITY gstreamer10-buildsize     "90 MB">
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     &gst-compat;