Index: general.ent
===================================================================
--- general.ent	(revision 2915a9655652bbe0b695d0db31ba7254421b944b)
+++ general.ent	(revision 4972971873d3c7c0eda742d4171e5a0f5855ad24)
@@ -529,5 +529,5 @@
 
 <!-- Chapter 35 -->
-<!ENTITY koffice-version              "1.5.0">
+<!ENTITY koffice-version              "1.6.1">
 <!ENTITY openoffice-version           "2.0.3">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2915a9655652bbe0b695d0db31ba7254421b944b)
+++ introduction/welcome/changelog.xml	(revision 4972971873d3c7c0eda742d4171e5a0f5855ad24)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Updated to Koffice-1.6.1.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Updated to KDE-3.5.6.  Added runtime dependencies
           to kdelibs and kdebase thanks to Chris Staub.  Added a change
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision 2915a9655652bbe0b695d0db31ba7254421b944b)
+++ kde/core/kdebase.xml	(revision 4972971873d3c7c0eda742d4171e5a0f5855ad24)
@@ -106,12 +106,4 @@
     <para>Install <application>kdebase</application> with:</para>
 
-    <!-- 
-    Why was this removed?  Too obvious?
-    
-    <note>
-      <para>The <parameter>-\-sysconfdir</parameter> parameter must be
-      the same as the command used in <application>kdelibs</application>.</para>
-    </note> -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../xincludes/kde-sysconfdir.xml"/>
@@ -140,14 +132,4 @@
       this chapter, <xref linkend="kde-core-config"/>.</para>
 
-      <para>Note that there are two additional packages you can install that
-      are used at run-time for <command>konqueror</command> ioslave protocols.
-      You can install the <ulink
-      url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>
-      package to enable the <quote>floppy</quote> ioslave protocol. This will
-      allow easy access to the floppy disk drives on your system. The <ulink
-      url="http://packages.debian.org/stable/source/hfsplus">hfsplus</ulink>
-      package can be installed to access HFS+ partitions on a Mac OS system
-      using the <quote>mac</quote> ioslave.</para>
-
     </sect3>
 
@@ -158,9 +140,18 @@
     <title>Run-Time Dependencies</title>
 
-    <para>Some <application>KDE</application> base programs  access other
-    programs at run time. One additional package that has not been mentioned
-    already is <xref  linkend="pciutils"/>.  This enables the <application>KDE
-    Info Center</application> to  use <application>lspci</application> for its
-    "pci" info section.</para>
+    <para>Note that there are two additional packages you can install that
+    are used at run-time for <command>konqueror</command> ioslave protocols.
+    You can install the <ulink
+    url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>
+    package to enable the <quote>floppy</quote> ioslave protocol. This will
+    allow easy access to the floppy disk drives on your system. The <ulink
+    url="http://packages.debian.org/stable/source/hfsplus">hfsplus</ulink>
+    package can be installed to access HFS+ partitions on a Mac OS system
+    using the <quote>mac</quote> ioslave.</para>
+
+    <para>One additional package that can be used at run time is <xref
+    linkend="pciutils"/>.  This enables the <application>KDE Info
+    Center</application> to  use <application>lspci</application> for its "pci"
+    info section.</para>
 
   </sect2>
Index: xsoft/suites/koffice.xml
===================================================================
--- xsoft/suites/koffice.xml	(revision 2915a9655652bbe0b695d0db31ba7254421b944b)
+++ xsoft/suites/koffice.xml	(revision 4972971873d3c7c0eda742d4171e5a0f5855ad24)
@@ -4,23 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-
-    <!-- Inserted as a reminder to do this. The mention of a test suite
-         is usually right before the root user installation commands. Please
-         delete these 12 (including one blank) lines after you are done.-->
-
-    <!-- Use one of the two mentions below about a test suite,
-         delete the line that is not applicable. Of course, if the
-         test suite uses syntax other than "make check", revise the
-         line to reflect the actual syntax to run the test suite -->
-
-    <!-- <para>This package does not come with a test suite.</para> -->
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
-
   <!ENTITY koffice-download-http "http://mirrors.isc.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
   <!ENTITY koffice-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
-  <!ENTITY koffice-md5sum        "220b6bde28b5ebd5c6621bc87ca2c05f">
-  <!ENTITY koffice-size          "34.3 MB">
-  <!ENTITY koffice-buildsize     "290 MB (additional 1235 MB for API docs)">
-  <!ENTITY koffice-time          "32 SBU (additional 3.4 SBU for API docs)">
+  <!ENTITY koffice-md5sum        "">
+  <!ENTITY koffice-size          "54 MB">
+  <!ENTITY koffice-buildsize     "420 MB (additional 867 MB for API docs)">
+  <!ENTITY koffice-time          "40 SBU (additional 4.4 SBU for API docs)">
 ]>
 
@@ -134,4 +121,6 @@
     href="../../xincludes/kde-apidocs.xml"/>
 
+   <para>This package does not come with a test suite.</para>
+
    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 